name: main
channels:
  - conda-forge
dependencies:
  - python==3.12
  - aiohttp
  - astropy
  - beautifulsoup4
  - black
  - cartopy
  - cfgrib
  - cmocean
  - cython
  - datashader
  - distributed
  - eccodes
  - fastparquet
  - flake8
  - flox
  - fsspec
  - h5netcdf
  - h5py
  - healpix
  - intake-xarray==0.7.0
  - intake==0.7.0
  - isodate
  - jupyter
  - jupyter-book>0.11.0
  - jupyterlab
  - jupyterlab_execute_time
  - jupytext
  - kerchunk
  - lark-parser
  - lxml
  - matplotlib
  - nbsphinx
  - netCDF4
  - numba
  - numcodecs
  - numexpr
  - numpy
  - pandas
  - pre-commit
  - pydata-sphinx-theme
  - pytest
  - pyyaml
  - qrcode
  - requests
  - ruff
  - scikit-image
  - scikit-learn
  - scipy
  - setuptools
  - sphinx
  - sphinx-copybutton
  - sphinx-design
  - sphinx-sitemap
  - sphinx_rtd_theme
  - sphinxext-rediraffe
  - ujson
  - xarray
  - xhistogram
  - zarr
  - pip
  - pip:
      - easygems
      - gribscan
      - ipfsspec>=0.5.3
      - orcestra
      - swiftspec
      - ipfsspec
